Subject: Re: [net] e1000: Small packets may get corrupted during padding by HW

From: Alexander Duyck <[email-masked]>
Date: Mon, 17 Sep 2012 20:27:01 -0700

On 9/17/2012 8:03 PM, David Miller wrote:
> From: Alexander Duyck <[email-masked]>
> Date: Mon, 17 Sep 2012 20:01:06 -0700
>
>> Since MAX_TCP_HEADER starts at 160 the likelihood of it not getting
>> at least 16 bytes of padding is pretty low.
> I know it's not on many people's radar, but with SLOB it will happen
> a lot probably.

That is true.  I hadn't thought about anything other than SLAB/SLUB.

It also just occurred to me that there might be some benefit in cache 
aligning the max header size.  It seems like doing something like that 
should reduce the overall memory footprint and would probably improve 
performance.

Thanks,

Alex